## robocode.control
Interface RobocodeListener

    public interface RobocodeListener

RobocodeListener - Interface for receiving callbacks from RobocodeEngine

Author:
  Mathew A. Nelson (original)

Method Summary
`void` `battleAborted(BattleSpecification battle)` Called when battle is aborted for any reason.
`void` `battleComplete(BattleSpecification battle, RobotResults[] results)` Called when battle is complete.
`void` `battleMessage(java.lang.String message)` Called for messages that would normally go to the Java console

Method Detail

### battleComplete

    void battleComplete(BattleSpecification battle,
                        RobotResults[] results)

  Called when battle is complete. Contains array of results.

  Parameters:
    `battle` - Which battle completed
    `results` - Results for this battle

### battleAborted

    void battleAborted(BattleSpecification battle)

  Called when battle is aborted for any reason.

  Parameters:
    `battle` - Which battle aborted

### battleMessage

    void battleMessage(java.lang.String message)

  Called for messages that would normally go to the Java console

  Parameters:
    `message` -